[![logo](https://www.hongsnet.net/images/logo.gif)](https://www.hongsnet.net)

# CI/CD System Overview

> GitLAB과 Jenkins를 이용하여 Source Code 및 Container Image Build를 자동화 한다.

![cicd](./images/jenkins_cicd.png)


# Table of Contents

| NO | ITEM | Content | 비고 |
| ------ | ------ | ------ | ------ |
| 1 | Jenkins 프로젝트 현황 | [GO](./JENKINS/) | |
| 2 | GitLAB 프로젝트 현황 | [GO](./GITLAB/) | |
| 3 | GitLAB WebHook 구성| [GO](./WEBHOOK/) | |
| 4 | K8s Source Code Deploy 구성| [GO](./K8S_SOURCE/) | |
| 5 | K8s Container Image Build 구성| [GO](./K8S_BUILD/) | |
